---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libmentry02.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL3mid, symObjAddr: 0x1D260, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x8C, offset: 0x8C, size: 0x8, addend: 0x0, symName: __ZL17isVirtualExpected, symObjAddr: 0x1D268, symBinAddr: 0x8028, symSize: 0x0 }
  - { offsetInCU: 0xB7, offset: 0xB7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1D26C, symBinAddr: 0x802C, symSize: 0x0 }
  - { offsetInCU: 0xE9, offset: 0xE9, size: 0x8, addend: 0x0, symName: __ZL18MethodEntriesCount, symObjAddr: 0x1D270, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x102, offset: 0x102, size: 0x8, addend: 0x0, symName: __ZL16MethodExitsCount, symObjAddr: 0x1D274, symBinAddr: 0x8034, symSize: 0x0 }
  - { offsetInCU: 0x11B, offset: 0x11B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1D278, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0x8D36, offset: 0x8D36, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1D280, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x8D4F, offset: 0x8D4F, size: 0x8, addend: 0x0, symName: __ZL21MethodEntriesExpected, symObjAddr: 0x1D3B8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8D68, offset: 0x8D68, size: 0x8, addend: 0x0, symName: __ZL19MethodExitsExpected, symObjAddr: 0x1D3BC, symBinAddr: 0x817C, symSize: 0x0 }
  - { offsetInCU: 0x8D7F, offset: 0x8D7F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x3010, symSize: 0x30 }
  - { offsetInCU: 0x8FE9, offset: 0x8FE9, size: 0x8, addend: 0x0, symName: _MethodEntry, symObjAddr: 0xE90, symBinAddr: 0x3040, symSize: 0x60 }
  - { offsetInCU: 0x9089, offset: 0x9089, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0xEF0, symBinAddr: 0x30A0, symSize: 0x60 }
  - { offsetInCU: 0x91DC, offset: 0x91DC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xF50, symBinAddr: 0x3100, symSize: 0x140 }
  - { offsetInCU: 0x93D7, offset: 0x93D7, size: 0x8, addend: 0x0, symName: _Java_mentry02_getReady, symObjAddr: 0x1090, symBinAddr: 0x3240, symSize: 0x1C0 }
  - { offsetInCU: 0x95E0, offset: 0x95E0, size: 0x8, addend: 0x0, symName: _Java_mentry02_check, symObjAddr: 0x1250, symBinAddr: 0x3400, symSize: 0xA0 }
  - { offsetInCU: 0x963F, offset: 0x963F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x12F0, symBinAddr: 0x34A0, symSize: 0x10 }
  - { offsetInCU: 0x9695, offset: 0x9695, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1300, symBinAddr: 0x34B0, symSize: 0xA }
...
